webdevqa.jp.net

Visual Studioバージョン15.0が見つからないため、Visual Studio 2017オンラインビルドエージェントが失敗する

VSTSオンラインで利用可能なVisual Studio 2017ビルドエージェントを使用してCI/CDパイプラインを作成しましたが、以下の警告メッセージが原因で失敗します。

「Visual Studioバージョン'15 .0 'が見つかりません。最新バージョンを探しています。

したがって、エージェントはVS 2015であるバージョン14.0の使用を開始します。これに対処する回避策はありますか?

27
Arash

2017(Visual Studioバージョン'15 .0 ')プロジェクトをビルドできるホストされた2017オプションがあります。

enter image description here

それに変更すると、すべての設定が完了します。

35
JohanSellberg

ビルドエージェントにVS 2017をインストールする必要があります。

プロジェクトはVS 2017から作成され、VSTSでビルドします。ビルドエージェントはVS 2015を使用しており、ビルド定義でプロジェクトをビルドするためにVS 2017を選択したようです。そのため、ビルド中に、ビルドエージェントでVS 2017(15.0)を見つけようとします。

更新:

VSTSでホストエージェントを使用している場合。このビルドエージェントは、その上に何かをインストールすることをサポートしていません。そして、この ドキュメント によると、このビルドエージェントには現在VS 2017がインストールされていません。ローカルマシンでビルドエージェントを構成し、VS 2017をローカルマシンにインストールできます。

4
Tingting0929

リリースパイプラインで「Visual Studio Test」タスクを使用している場合は、「テストプラットフォームバージョン」として「ツールインストーラーでインストール」を選択してください

enter image description here

1
Thinira